stages:
  - qa

# "check scan duration" checks that the last scan execution has not
# exceeded MAX_SCAN_DURATION_SECONDS within margin SCAN_DURATION_MARGIN_PERCENT (optional)
check cs scan duration:
  stage: qa
  image: alpine:3.9
  before_script:
    - apk add jq
    - wget https://gitlab.com/gitlab-org/security-products/ci-templates/-/raw/master/scripts/check_scan_duration.sh
  script:
    - sh ./check_scan_duration.sh $DEPENDENCY_SCANNING_REPORT -m $MAX_SCAN_DURATION_SECONDS -p $SCAN_DURATION_MARGIN_PERCENT
  rules:
    - if: $MAX_SCAN_DURATION_SECONDS
